Skip to main content
POST
/
org
/
{org_id}
/
switch_to_custom_roles
Switch to Custom Roles
curl --request POST \
  --url https://api.partoo.co/v2/org/{org_id}/switch_to_custom_roles \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "switch_to_custom_roles": true
}
'
import requests

url = "https://api.partoo.co/v2/org/{org_id}/switch_to_custom_roles"

payload = { "switch_to_custom_roles": True }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({switch_to_custom_roles: true})
};

fetch('https://api.partoo.co/v2/org/{org_id}/switch_to_custom_roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "org_id": 123
}
{
"errors": {
"json": {}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"detail": "You are not allowed to switch"
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

org_id
integer
required

Unique ID of the organization to which the resource belongs. Only PROVIDER users can access resources from a different organization than their own. If you are not a PROVIDER, this will default to the ID of your organization.

Body

application/json
switch_to_custom_roles
boolean
required

Whether to switch to Custom Roles (true) or revert to standard roles (false)

Example:

true

Response

Successfully updated Custom Roles switch status

status
enum<string>
required

Request status

Available options:
success
Example:

"success"

org_id
integer
required

Unique identifier for the organization you want to switch. Only PROVIDER users can use this field. If you are not a PROVIDER, this will default to the ID of your organization.

Example:

123